Subject: [http-auth] CFRG Curves in Mutual

From: Ilari Liusvaara <[email-masked]>
Date: Sat, 14 Nov 2015 15:31:59 +0200

Should CFRG curves (Edwards25519 and Edwards448) be added to Mutual
spec?

The curves (but no point formats) are defined by CFRG-CURVES, which
has been sent to the RFC Editor (currently being copyedited).

The existing point format in the Mutual draft is rather bad[1]
(especially for these curves), but as far as I can tell, it is not
mathematically unworkable.

(The point decoding may also divide by zero. Fortunately all
the points where this happens are of order 4 and as such invalid
anyway).

[1] Putting the y sign bit at LSB position makes one chainshift
the entiere thing. And for Edwards curves, usually y is written
in full and x is compressed to one bit, not the vice versa that
is usually done with Weierstrass curves.

-Ilari